package td02;

public class Rectangle {
	public Rectangle(Point2DCartesien coinInfG, Point2DCartesien coinSupD) {
		if (!coinsValides(coinInfG, coinSupD)) 
			throw new RuntimeException("Rectangle invalide"); 
		
		this.coinInfG = coinInfG.clone();
		this.coinSupD = coinSupD .clone();
	}

	public Point2DCartesien getCoinIngG(){
		return coinInfG.clone();
	}

	public Point2DCartesien getCoinSupD(){
		return coinSupD.clone();
	}

	public void setCoinInfG(Point2DCartesien coinInfG){
		if (!coinsValides(coinInfG, coinSupD)) 
			throw new RuntimeException("Rectangle invalide"); 
		
		this.coinInfG = coinInfG.clone();
	}

	public void setCoinSupD(Point2DCartesien coinSupD){
		if (!coinsValides(coinInfG, coinSupD)) 
			throw new RuntimeException("Rectangle invalide"); 
		
		this.coinSupD = coinSupD.clone();
	}
	
	public Rectangle clone(){
		return new Rectangle(coinInfG, coinSupD);
	}
	
	public boolean equals(Rectangle r){
		return coinInfG.equals(r.coinInfG) && coinSupD.equals(r.coinSupD);
	}
	
	public String toString(){
		StringBuffer s= new StringBuffer();
		s.append(coinInfG + "\n");
		s.append(coinSupD + "\n");
		return new String(s);
	}
	
	private boolean coinsValides(Point2DCartesien coinInfG, Point2DCartesien coinSupD){
		return (coinInfG.getAbscisse() <= coinSupD.getAbscisse()) && (coinInfG.getOrdonnee() <= coinSupD.getOrdonnee()); 
	}
	
	private Point2DCartesien coinInfG;
	private Point2DCartesien coinSupD;
}
